#!/bin/sh
# Copyright (C) 2008 - 2010 vortexbox.org
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

if ! ping -c 1 -w 5 "google.com" &>/dev/null ; then
 for (( ; ; ))
 do
   sleep 5
   if ping -c 1 -w 5 "google.com" &>/dev/null ; then
    echo "Network is finally up, Restarting SqueezeBox Server..."
	service squeezeboxserver restart
	service minidlna restart
        # Only start vortexbox-player if the user wants it autostarted on reboot
        if chkconfig --list | grep vortexbox-player | grep on > /dev/null
        then
	    service vortexbox-player start
        fi
    break
   fi
 done
else
	echo "Network is up, no need to restart SqueezeBox Server."

        # Only start vortexbox-player if the user wants it autostarted on reboot
        if chkconfig --list | grep vortexbox-player | grep on > /dev/null
        then
	    service vortexbox-player start
        fi
fi
